Subject: RE: [Sipping] 100 and retransmissions

From: [email-masked]
Date: Wed, 12 Sep 2001 08:43:03 -0600

From bis-04:

17.3.3 Stateless Proxy: Proxying Responses

<snip>

   A stateless proxy MUST NOT generate its own provisional responses. It
   MUST forward all provisional responses, including 100, upstream.

John

-----Original Message-----
From: Terry L Anderson [mailto:[email-masked]]
Sent: Wednesday, September 12, 2001 8:08 AM
To: Hearty, John
Cc: [email-masked]
Subject: Re: [Sipping] 100 and retransmissions

Thanks.  I agree this will work fine if stateless proxies never generate
100.
Where is this restriction stated.  I could find no statement that stateless
proxies MUST NOT generate 100.

[email-masked] wrote:

>  Stateless proxies will not generate a 100.  They will proxy it if
received.
> The 100 could be generated by a UAC or stateful proxy.  If the latter, it
> then becomes responsponsible for handling any retransmits, so a single
lost
> request will not cause the transaction to fail.
>
> -----Original Message-----
> From: Terry L Anderson [mailto:[email-masked]]
> Sent: Tuesday, September 11, 2001 11:01 AM
> To: SIPPING Mailing List
> Subject: [Sipping] 100 and retransmissions
>
> Should a UAC cease retransmission of INVITE after receiving a 100
> response?
>
> bis-04 14.4.1 says:
>     "The client ceases retramissions if it receives a provisional..."
> and the state diagram in Figure 10 indicates the same.  These do not
> appear to make 100 an exception.  However, 100 will often come from a
> proxy rather from the far UAS.  I  believe that even a state-less proxy
> will may send 100 but does not retransmit, so if the UAC also ceases
> retransmissions, a single lost request may fail the transaction.
>
> 11.1 also states (with regard to 1xx):
>     "...and clients can inquire about the current state of call
> processing by re-sending the request."
>
> which sound like UAC are at least allowed to retransmit after any 1xx.
>
> It seems reasonable to cease retransmission after non-100 1xx's, but NOT
> after receiving 100.  Am I missing something?
>
> --
>
> ------------------------------------------------------------
> Terry L Anderson              mailto:[email-masked]
> Tel:908.582.7013   Fax:908.582.6729
> Lucent Technologies/INS/Voice Over IP Access Networks
> Rm 2B-121, 600 Mountain Av, Murray Hill, NJ 07974
> http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla

--

------------------------------------------------------------
Terry L Anderson              mailto:[email-masked]
Tel:908.582.7013   Fax:908.582.6729
Lucent Technologies/INS/Voice Over IP Access Networks
Rm 2B-121, 600 Mountain Av, Murray Hill, NJ 07974
http://its.lucent.com/~tla (Lucent internal) http://www.gti.net/tla

_______________________________________________
Sipping mailing list  http://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP